Package org.eclipse.graphiti.ui.editor

# Class DefaultPersistencyBehavior.SaveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.graphiti.ui.editor.DefaultPersistencyBehavior.SaveException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DefaultPersistencyBehavior`

protected final class DefaultPersistencyBehavior.SaveException extends RuntimeException

Since:
  0.13
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SaveException(org.eclipse.core.runtime.MultiStatus status)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.MultiStatus`
`getStatus()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SaveException

public SaveException(org.eclipse.core.runtime.MultiStatus status)

## Method Details

### getStatus

public org.eclipse.core.runtime.MultiStatus getStatus()

Returns:
  the status